Устанавливаем Foxit Reader в Убунту

Стандартный
           

foxit-reader

Foxit Reader уже давно известен многим пользователям Windows. Оказывается есть возможность установить этот отличный pdf-просмотрщик в Ubuntu. Разработчики создали версию программы для Linux — пользователей. Основные преимущества Foxit Reader:

  • Маленький размер (размер установочного файла равен 3.8 Мб.) ;
  • Минимальное потребление системной памяти, независимо от размера открытого документа;
  • Большая скорость просмотра и запуска приложения Документ доступен для просмотра почти через 3 секунды после его открытия.

Для скачивания программы переходим на страницу загрузки продукта от Foxit. Выбираем Foxit Reader, система — Linux.

Foxit ReaderДалее жмем Free Download. Указываем тип пакета — deb. Версия на данный момент одна, поэтому оставляем без изменений. Скачиваем и открываем в Центре приложений.

Выделение_310

Далее увидим предупреждение о том, что данный пакет плохого качества.

«Установка пакета, который не соответствует стандартам, не разрешена. Это может привести к серьёзным ошибкам на вашем компьютере. Пожалуйста, свяжитесь с теми, кто предоставили данный пакет, указав подробности, изложенные ниже.»

Я проигнорировал это сообщение и нажал кнопку —  Игнорировать и установить.

После установки Foxit Reader на всякий случай выполним команду в Терминале:

sudo apt-get -f install

Находим программу в меню Dash.

Снимок экрана от 2014-08-14 23:24:56

Данный пакет предназначен для 32-битных систем. Чтобы установить его в 64-битную систему, выполним в Терминале команду:

sudo apt-get install libgtk2.0-0:i386 libstdc++6:i386

Чтобы русифицировать Foxit Reader скачиваем файл FoxitReader.mo и перемещаем его в /usr/share/locale/ru/LC_MESSAGES. Для этого нужно запустить Nautilus от имени супер пользователя:

sudo nautilus

foxit reader

[ffmpeg.pdf] - Foxit Reader 1.1_316

13 Comments

  1. Хотел бы поделиться своим опытом установки Foxit Reader. выполнив все действия по установке выше, ярлык появился, но он не запускался. Всё дело в том, что Foxit Reader пакет предназначен для x86 систем, а у меня x64.

    Решение простое — поставить доп библиотеки:
    sudo apt-get install libgtk2.0-0:i386 libstdc++6:i386

    Те, кто уже ставил x86 пакеты до этого, наверное уже поставили данные библиотеки. Если же нет, то они решают проблему.

    Решение нашел здесь:
    http://www.hecticgeek.com/2012/02/foxit-reader-work-ubuntu-linux/

    Там также описывается случаи, если установка прошла не полностью. Статья на английском, поэтому вкратце объясню для тех, кто не знает английского.
    Необходимо открыть deb-пакет любым архиватором, в архиве открыть /usr/bin и распаковать файл FoxitReader в Home или другой каталог, доступный для распаковки. После чего с повышенными привилегиями скопировать распакованный файл в /usr/bin:
    sudo cp FoxitReader /usr/bin

    После этого должно заработать.

  2. Изучив структуру deb-пакета, дополнительно к вышесказанному хотел бы добавить, что данная версия всё таки является многоязычной, и язык выбирается в зависимости от локали ОС Ubuntu. По умолчанию в официальном пакете поддерживаются следующие локали: de, fr, ja, zh-CN и zh-TW.

    Установщик добавляет файл FoxitReader.mo в папку /usr/share/locale//LC_MESSAGES, где — сокращение локали (например, de или ru).

    Еще покопавшись в интернете нашел и файл с русским языком:
    https://drive.google.com/file/d/0BwcjoqGX5sBwX2hMZE5ZSU9rUlU/edit?usp=sharing

    Либо скачать уже русскую версию Foxit Reader (эту ссылку не пробовал и не проверял):
    https://app.box.com/s/htn03lyjrmwuk4f1tifk

    Данные ссылки взял с сайта (и тут же есть описание, как скопировать файл, если это не явно и так):
    http://ansat.in.ua/foxit-reader-dlya-linux-na-russkom-yazyke.html

    Русский язык проверил: с виду всё прекрасно переведено.

    • Извиняюсь за предыдущий комментарий. Chrome отказался воспринимать текст LOCALE в треугольных скобках, так что выдал такое:
      /usr/share/locale//LC_MESSAGES, где — сокращение локали (например, de или ru).

      Читать как:
      /usr/share/locale/[locale]/LC_MESSAGES, где [locale]— сокращение локали (например, de или ru).

  3. Установка скачанного файла через центр приложений почему-то не происходит, а через терминал не подключается к зеркалу ( время ожидания истекает). Есть третий способ, или каак это исправить?

    • Попробуйте зайти в папку со скачанным файлом и запустить команду:
      sudo dpkg -i FoxitReader_1.0-1_i386.deb
      Естественно, что вместо FoxitReader_1.0-1_i386.deb нужно указать точное название скачанного файла.

    • Обычно такое случается, если Ubuntu руссифицирован. В таком случае многие папки будут руссифицированы, в том числе и «Downloads», а Центр приложений не воспринимает кирилических символов в качестве пути. В таком случае просто скопируйте скаченный файл в домашнюю папку и он спокойно запустится.

      Кстати, я, чтобы избежать недоразумений в дальнейшем, создал папку Downloads в домашней папке и переопределил в Хроме папку для скачиваний на нее. Это решает много проблем.

      • «Кстати, я, чтобы избежать недоразумений в дальнейшем, создал папку Downloads в домашней папке и переопределил в Хроме папку для скачиваний на нее.»
        А я просто сим-линк создал) Тоже немного напрягало)
        ln -s ~/Загрузки ~/Downloads
        Ну или же можно переопределить нужные папки в файле
        ~/.config/user-dirs.dirs (не только путь к папке с загрузками, но и документам, видео и т.д.)

  4. Не нашёл дистрибутив на сайте. Может у кого остался, можете выложить в общий доступ?

Leave a Reply

Статьи